Status: In Progress Start date: 04/28/2024
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description
sHL15cIscsl00000cctvL15CZuidlcctvL15Trainuid.dll JIRTPOOO01500000ip000000invitel002000k00000000ip0
0000ip15900000000ip15800RTCPONN159000000000000000

0000==\192.168.2.250\upload\M15\00[\SHL 15wifil 1000 159Markl00000002024041015-RTCPUNNNN15800.pcapng
cetvl0000ip=10.21.0.60LTENDDDDip=10.21.0.1580WIFI00000ip=10.21.0.159

0000000ip=10.43.91.39

cfg\CzCetvUISet.inil000000bin\cctvL15CZuid.dlill]

cfg\TrainCctvUISet.inil0000000000bin\cctvL15Trainuid.diill

[VideoSrcServerlPUOOORTPOONOOOOOODOD

int MainForm::getServerRtcpPort(QString szReturn)10200 okIOOO000000000Dip00000m_szVideoServeriPllvoid
MainForm::sendRTCPToServer()

r |

Am 2D RER===7 855 aaan

[ Judp # ip. sre=10.43.51.38

Ho Time Source
1 2824-84-10 15:55:24.271872 10.43.91.39
3 2824-94-10 15:55:24.297782 10.43.91.39
5 2824-04-10 15:55:24.316992 10.43.91.39
8 2024-04-10 15:55:24.453678 10.43.91.39
921 2824-@4-10 15:55:34.458046 10.43.91.39
923 20824-084-10 15:55:39.507585 10.43.91.39
924 2024-04-10 &
925 2824-94-1@ .453151
927 20824-04-10 15:55:54.468221 10.43.91.39
929 2824-084-10 15:55:54.522794 18.43.91.39

Frotoc Length Infa

SIP 454 Reguest: REGISTER SIP:@1557503048401000001@10.21.0.6:5868 (1 binding) |
SIP 678 Request: REGISTER SIP:01557583048401000001@10.21.9.6:5060 (1 binding) |
SIP.. 689 Request: INVITE sip:01559962101005000004316.21.0.6:5060 |

SIP 424 Reguest: ACK sip:015599021816056000084@10.21.0.6:5068[Malformed Packet]
SIP 553 Request: MESSAGE sip:@1557503048401000001@10.21.0.6:5060 |

upp 73 8204 » 16839 Len=31

101 Destination unreachable (Port unreachable)

553 Request: MESSAGE sip:@1557503048401000081@10.21.
SIP 553 Request: MESSAGE sip:81557503048491000081@10.21.
UDP 73 8204 » 16839 Len=31

5060 |

0.6:
9.6:5060 |

938 2824-084-18 5 081 181 Destination unrea
) e ‘ P . -
931 2024-04-10 15:56:04.450651 10.43.91.39 10.21.8.6 SIP 553 Request: MESSAGE M Wireshark 2348 2254 - SHLTSwif RS R1 50Mar kS F A IHEE2024041015.peapng
033 2000.60.10 13,56:09.0305%1 10.43.91.99  10.21.0.6 ST 678 Request, REGISTER| || FToM 2254 73 bytes on wire (584 bits), 73 bytes captured (584 bits) on 1
- 252454715 15:56:59-579474 19-43.91.39 19.21.9.6 s o Request: B —— Ethernet II, Src: Shenzhen_Bb:63:dc (2c:53:4a:8b:63:dc), Dst: Hirschma_64:
‘ ot o001 15,20 00 4205 1045 01 29 o010 ar s Req“ESt: K o i Internet Protocol Version 4, Src: 10.43.91.39, Dst: 10.21.8.158
i el o T B equest: s1hg User Datagram Protocol, Src Port: 8284, Dst Port: 308083
| 1784 2024-84-10 15:56:19.429515 10.43.91.39 10.21.0.6 SIP 553 Request: MESSAGE )
Real-time Transport Control Protocol
‘ 2254 2024-04-10 15:56:24.475247 10.43.91.39 10.21.0.158 RTCP 73 Unknown RTCP vers| | o7 2% 0
I e e i e M0 2L E Sl 2D [deresits GEEEE Data: 7369702072746370206d6573736167652030342d31302031353a35363a3234
3672 2024-84-10 15:56:39.422641 10.43.91.39 10.21.0.6 SIP 553 Request: MESSAGE [Length: 31]
‘ 3681 2024-84-10 15:56:39.4886584 10.43.91.39 10.21.0.158 RTCP 73 Unknown RTCP vers ’
| 4599 2024-84-18 15:56:49.428454 18.43.91.39 10.21.8.6 SIP 553 Request: MESSAGE
L 5076 2024-04-10 15:56:54.484986 10.43.91.39 10.21.0.158 RTCP 73 Unknown RTCP vers
5543 2024-84-10 15:56:59.425794 18.43.91.39 10.21.8.6 SIP 553 Request: MESSAGE
6538 2024-04-10 15:57:09.962648 10.43.91.39 10.21.0.6 SIP 423 Request: BYE sip:
6540 2024-84-10 15:57:13.446638 10.43.91.39 10.21.0.6 SIP 454 Request: REGISTER C 60 33 64 37 A1 2c 53 A2 0b 63 dc 0B 00 45 00 dBdD S Jc  ©
)
6542 2024-04-10 15:57:13.473757 10.43.91.39 10.21.0.6 SIP 678 Request: REGISTER @8 3b 4f 35 80 @A 88 11 08 88 @a 2b 5b 27 Ba 15 ;05 o
6544 2024-94-18 15:57:13.495128 10.43.91.39 1@.21.8.6 ST 689 Request: INVITE s| | @228 @0 9e 20 Oc 75 33 00 27 70 3d [ERENCICEEL e -ip rY
6547 2024-84-10 15:57:13.636474 10.43.91.39 10.21.0.6 SIP 424 Request: ACK sip: | eo3e [ERCEEIEEEEEGEEEERFEE: TR Rt
< GO0 31 35 3a 35 36 3a 32 34 15:56:2

History

#1 - 04/28/2024 01:12 PM - yufeng wu

/O0INVITE 200 OokO000,000000000 m: video XXXXX RTP/AVP 000000,
/01000000,00000000rTCPOOO0MODODDODOND,0010s0000,00000000).

int MainForm::getServerRtcpPort(QString szReturn) {//Added by WYF 20240428
QString szStartlp = "c=IN IP4 "; QString szEndlp = "\r";/Ar\n

int nStartlp = szReturn.lastindexOf(szStartlp, -1, Qt::Caselnsensitive);

if (nStartlp==-1) {

return -1;

nStartlp += szStartlp.length();

QString szVideoServerlP = szReturn.mid(nStartlp, 15);//255.255.255.255
int nEndlp = szVideoServerlP.lastindexOf(szEndlp, -1, Qt::Caselnsensitive);
if (NEndlp == -1)

m_szVideoServerlP=szVideoServerlP;
else

m_szVideoServerlP = szVideoServerIP.mid(1, nEndlp - 1);
//Added by WYF 20240428

QString szStart = "video";// "VIDEQO";

QString szEnd = "RTP/AVP";

int nStart = szReturn.lastindexOf(szStart, -1, Qt::Caselnsensitive);
int nEnd = szReturn.lastindexOf(szEnd, -1, Qt::Caselnsensitive);

if (nStart -1 || nEnd -1)
{
return -1;
}
nStart += szStart.length();
QString szPort = szReturn.mid(nStart, nEnd - nStart);
int nRtcpPort = szPort.trimmed().toInt () + 1;
return nRtcpPort;

#2 - 04/28/2024 05:31 PM - yufeng wu

- Status changed from New to In Progress

(Qstring szStartlp = "c=IN 1P4";/000000

000000000RTeP 1500000cctv0000+10000000000000109000008204-8214......828401090000000005204-5214......5284
LTEDOOOokOOwiilOORTCP udplOOOnoon

000000000 0000000Dooooo00+4
